PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.summaryCounts.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.summaryCounts
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.summaryCounts.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.String[]` | `getApplicationTypes()` Getter for property applicationTypes.
`java.lang.String[]` | `getClusterTypes()` Getter for property clusterTypes.
`java.lang.String[]` | `getPlatformTypes()` Getter for property platformTypes.
`java.lang.String[]` | `getServerTypes()` Getter for property serverTypes.
`java.lang.String[]` | `getServiceTypes()` Getter for property serviceTypes.
`boolean` | `isApplication()` Getter for property application.
`boolean` | `isCluster()` Getter for property cluster.
`boolean` | `isGroupApplication()` Getter for property groupApplication.
`boolean` | `isGroupGroups()` Getter for property groupsGroups.
`boolean` | `isGroupMixed()` Getter for property groupsMixed.
`boolean` | `isGroupPlatServerService()` Getter for property groupPlatServerService.
`boolean` | `isPlatform()` Getter for property platform.
`boolean` | `isServer()` Getter for property server.
`boolean` | `isService()` Getter for property service.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setApplication(boolean application)` Setter for property application.
`void` | `setApplicationTypes(java.lang.String[] applicationTypes)` Setter for property applicationTypes.
`void` | `setCluster(boolean cluster)` Setter for property cluster.
`void` | `setClusterTypes(java.lang.String[] clusterTypes)` Setter for property clusterTypes.
`void` | `setGroupApplication(boolean groupApplication)` Setter for property groupApplication.
`void` | `setGroupGroups(boolean groupGroups)` Setter for property groupsGroups.
`void` | `setGroupMixed(boolean groupMixed)` Setter for property groupsMixed.
`void` | `setGroupPlatServerService(boolean groupPlatServerService)` Setter for property groupPlatServerService.
`void` | `setPlatform(boolean platform)` Setter for property platform.
`void` | `setPlatformTypes(java.lang.String[] platformTypes)` Setter for property platformTypes.
`void` | `setServer(boolean server)` Setter for property server.
`void` | `setServerTypes(java.lang.String[] serverTypes)` Setter for property serverTypes.
`void` | `setService(boolean service)` Setter for property service.
`void` | `setServiceTypes(java.lang.String[] serviceTypes)` Setter for property serviceTypes.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `DashboardBaseForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### isApplication

    public boolean isApplication()

  Getter for property application.

  Returns:
    Value of property application.

### setApplication

    public void setApplication(boolean application)

  Setter for property application.

  Parameters:
    `application` - New value of property application.

### isServer

    public boolean isServer()

  Getter for property server.

  Returns:
    Value of property server.

### setServer

    public void setServer(boolean server)

  Setter for property server.

  Parameters:
    `server` - New value of property server.

### isService

    public boolean isService()

  Getter for property service.

  Returns:
    Value of property service.

### setService

    public void setService(boolean service)

  Setter for property service.

  Parameters:
    `service` - New value of property service.

### isPlatform

    public boolean isPlatform()

  Getter for property platform.

  Returns:
    Value of property platform.

### setPlatform

    public void setPlatform(boolean platform)

  Setter for property platform.

  Parameters:
    `platform` - New value of property platform.

### isCluster

    public boolean isCluster()

  Getter for property cluster.

  Returns:
    Value of property cluster.

### setCluster

    public void setCluster(boolean cluster)

  Setter for property cluster.

  Parameters:
    `cluster` - New value of property cluster.

### getApplicationTypes

    public java.lang.String[] getApplicationTypes()

  Getter for property applicationTypes.

  Returns:
    Value of property applicationTypes.

### setApplicationTypes

    public void setApplicationTypes(java.lang.String[] applicationTypes)

  Setter for property applicationTypes.

  Parameters:
    `applicationTypes` - New value of property applicationTypes.

### getClusterTypes

    public java.lang.String[] getClusterTypes()

  Getter for property clusterTypes.

  Returns:
    Value of property clusterTypes.

### setClusterTypes

    public void setClusterTypes(java.lang.String[] clusterTypes)

  Setter for property clusterTypes.

  Parameters:
    `clusterTypes` - New value of property clusterTypes.

### getPlatformTypes

    public java.lang.String[] getPlatformTypes()

  Getter for property platformTypes.

  Returns:
    Value of property platformTypes.

### setPlatformTypes

    public void setPlatformTypes(java.lang.String[] platformTypes)

  Setter for property platformTypes.

  Parameters:
    `platformTypes` - New value of property platformTypes.

### getServerTypes

    public java.lang.String[] getServerTypes()

  Getter for property serverTypes.

  Returns:
    Value of property serverTypes.

### setServerTypes

    public void setServerTypes(java.lang.String[] serverTypes)

  Setter for property serverTypes.

  Parameters:
    `serverTypes` - New value of property serverTypes.

### getServiceTypes

    public java.lang.String[] getServiceTypes()

  Getter for property serviceTypes.

  Returns:
    Value of property serviceTypes.

### setServiceTypes

    public void setServiceTypes(java.lang.String[] serviceTypes)

  Setter for property serviceTypes.

  Parameters:
    `serviceTypes` - New value of property serviceTypes.

### isGroupMixed

    public boolean isGroupMixed()

  Getter for property groupsMixed.

  Returns:
    Value of property groupsMixed.

### setGroupMixed

    public void setGroupMixed(boolean groupMixed)

  Setter for property groupsMixed.

  Parameters:
    `groupsMixed` - New value of property groupsMixed.

### isGroupGroups

    public boolean isGroupGroups()

  Getter for property groupsGroups.

  Returns:
    Value of property groupsGroups.

### setGroupGroups

    public void setGroupGroups(boolean groupGroups)

  Setter for property groupsGroups.

  Parameters:
    `groupsGroups` - New value of property groupsGroups.

### isGroupPlatServerService

    public boolean isGroupPlatServerService()

  Getter for property groupPlatServerService.

  Returns:
    Value of property groupPlatServerService.

### setGroupPlatServerService

    public void setGroupPlatServerService(boolean groupPlatServerService)

  Setter for property groupPlatServerService.

  Parameters:
    `groupPlatServerService` - New value of property groupPlatServerService.

### isGroupApplication

    public boolean isGroupApplication()

  Getter for property groupApplication.

  Returns:
    Value of property groupApplication.

### setGroupApplication

    public void setGroupApplication(boolean groupApplication)

  Setter for property groupApplication.

  Parameters:
    `groupApplication` - New value of property groupApplication.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.